View Issue Details

IDProjectCategoryView StatusLast Update
0004454Slicer4Module DICOMpublic2017-10-18 02:33
ReporterlassoanAssigned Tofbudin 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product VersionSlicer 4.7.0 
Target VersionSlicer 4.7.0Fixed in VersionSlicer 4.7.0 
Summary0004454: Crash when trying to import color DICOM files
Description

DCMTK crashes when Slicer attempts to use it to load a color image.
https://discourse.slicer.org/t/slicer-nightly-build-crash-loading-dicoms/1142/3

The problem is in ITK's DCMTK IO class. If the error ITK cannot be fixed soon then probably DCMTK image IO should be disabled in Slicer for now.

ITK error report:
https://issues.itk.org/jira/browse/ITK-3570

TagsNo tags attached.

Activities

pieper

pieper

2017-10-06 11:19

administrator   ~0015269

Code that implements the selection of GDCM vs DCMTK: https://github.com/Slicer/Slicer/pull/734

jcfr

jcfr

2017-10-10 10:20

administrator   ~0015278

Francois and Matt were looking at the issue earlier this morning and a fix should land in ITK in the coming days.

jcfr

jcfr

2017-10-18 02:33

administrator   ~0015318

Thanks to Francois, this is fixed in r26486
See http://viewvc.slicer.org/viewvc.cgi/Slicer4?view=revision&revision=26486

Issue History

Date Modified Username Field Change
2017-10-05 17:03 lassoan New Issue
2017-10-05 17:03 lassoan Status new => assigned
2017-10-05 17:03 lassoan Assigned To => pieper
2017-10-06 11:19 pieper Note Added: 0015269
2017-10-10 10:20 jcfr Note Added: 0015278
2017-10-10 10:24 jcfr Assigned To pieper => fbudin
2017-10-18 02:33 jcfr Status assigned => resolved
2017-10-18 02:33 jcfr Resolution open => fixed
2017-10-18 02:33 jcfr Fixed in Version => Slicer 4.7.0
2017-10-18 02:33 jcfr Note Added: 0015318